> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/basketball-media/schedule-api/fixtures-old.md).

# Fixtures (old)

This endpoint returns the competition fixtures for a specific season. Per each competition, this endpoint will return the following information:

* Name of the competition
* Fixture date and kick-off time
* Home and Away team (with IDs)
* Venue
* Stage/Round/Group information
* Status (scheduled, live, completed, postponed)

## Endpoint URLs

### Live Fixtures (Subscribed):

`https://dde-api.data.imgarena.com/basketball/fixtures?live=true&subscribed=true`

OR

`https://dde-api.data.imgarena.com/basketball/seasons/{seasonId}/fixtures?live=true&subscribed=true`

This allows clients to determine which fixtures are live and available based on a user's licence. The top URL shows all live fixtures and the bottom shows all live fixtures within that seasonId.

### **Fixtures (Subscribed):**

`https://dde-api.data.imgarena.com/basketball/fixtures?subscribed=true`

OR

`https://dde-api.data.imgarena.com/basketball/`seasons`/{seasonId}/fixtures?subscribed=true`

The top URL lists the fixtures for which you a user is licensed, and the bottom URL the fixtures within a specific seasonId, that a user is licensed for.

### **All Fixtures (Unsubscribed):**

`https://dde-api.data.`imgarena`.com/basketball/fixtures`<br>

OR

`https://dde-api.data.imgarena.com/basketball/seasons/`{`seasonId}/fixtures`

This top URL lists the fixtures for all competitions (licensed and unlicensed). This is useable for an operator to see what which competitions might be available to purchase from IMGA. The bottom URL is a list of fixtures for a specific seasonId, both licensed and unlicensed.

### **Single Fixture**

`https://dde-api.data.imgarena.com/basketball/fixtures/{fixtureId}`

This allows clients to determine the details for a single fixture

### **Status & dateTo and dateFrom**

`https://dde-api.data.imgarena.com/basketball/fixtures?subscribed=true&status=scheduled&dateFrom=2022-07-07&dateTo=2022-07-10`

This allows clients to filter based on the status of a match or group of matches and between specific dates. For example, the above URL would show all matches that are 'scheduled' that a client is a licensed for between 7th July 2022 and 10th July 2022. These additional parameters can be used in conjunction with other support parameters like ?live=true and also be utilised with seasonId to allow a user to filter by status and dateTo and dateFrom within a certain season.

Supported status values are 'scheduled', 'live', 'completed', 'postponed'

### Type

Type parameter allows a user to call the fixtures API by 'Official', 'Simulation' or 'Training'. Official will denote any official match collected by our data collection team, Simulation is generally any match we simulate and Training is for internal data collection training.

`https://dde-api.data.imgarena.com/basketball/fixtures?dateFrom=2022-09-01&dateTo=2022-09-30&type=official`

## Polling Frequency <a href="#undefined" id="undefined"></a>

We recommend the following frequency for your REST requests to ensure that you have the most up-to-date information at all times:

| API                         | REST Endpoint                                                                                                                                                                | Frequency                                | Description                                                                                                                  |
| --------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------- |
| Live Fixtures (Subscribed)  | <p><code>/basketball/fixtures?live=true\&subscribed=true</code><br><strong>OR</strong><br><code>basketball/seasons/{seasonId}/fixtures?live=true\&subscribed=true</code></p> | Every 30 seconds for a fixture           | Live fixtures for which a client is licensed. This allows clients to determine which fixtures are live and availabl&#x65;*.* |
| Fixtures (Subscribed)       | <p><code>/basketball/fixtures?subscribed=true</code><br><strong>OR</strong><br><code>/basketball/seasons/{seasonId}/fixtures?subscribed=true</code></p>                      | Every 60 seconds for an upcoming fixture | The fixtures for a competition for which a client is licensed.                                                               |
| All Fixtures (Unsubscribed) | <p><code>/basketball/fixtures</code></p><p><strong>OR</strong> <code>/basketball/seasons/{seasonId}/fixtures</code></p>                                                      | Every 24 hours                           | Lists ALL the fixtures for all competitions. This is useful to determine what IMGA covers for that sport.                    |

## Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

##

## Response Model

For sample JSON files and details of each value with descriptions within the payloads, utilise the following Swagger Pages:

JSON Schema - <https://app.swaggerhub.com/apis/IMG_Arena/IMGA-DDE-BASKETBALL/1.4#/basketball/get_basketball_fixtures>

<https://app.swaggerhub.com/apis/IMG_Arena/IMGA-DDE-BASKETBALL/1.4#/basketball/getFixturesBySeasonId>

JSON Schema with value descriptions - <https://app.swaggerhub.com/apis/IMG_Arena/IMGA-DDE-BASKETBALL/1.4#/Fixture>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/basketball-media/schedule-api/fixtures-old.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
